The input to UF_MODL_ask_face_edges is a single solid face. What
is returned is a list of solid edges associated to that face. The
handling of this list can be done by using the UF_MODL_*_list* routines.
If the face is an occurrence, then the return values are relative to the
occurrence, and not the prototype.
See Also
History
Modified in V15.0 to work relative to the occurrence.
extern int UF_MODL_ask_face_edges (
tag_t face,
uf_list_p_t * edge_list );
tag_t face Input Face object identifier
uf_list_p_t * edge_list Output to be freed Address of a pointer to a list of Edge object
identifiers. Use UF_MODL_delete_list to free
space allocated for this linked list.
Environment
Internal and External作者: skyphantom 时间: 2009-4-22 17:08
呵呵,已自己解决。
使用函数UG_MODEL_ASK_FACE_EDGES作者: skyphantom 时间: 2009-4-22 17:09
呵呵,已自己解决。
使用函数UG_MODEL_ASK_FACE_EDGES作者: skyphantom 时间: 2009-4-25 07:39
谢谢二楼的哥们详尽解释,另外问一下:If the face is an occurrence,其中的“occurrence”如何理解。
谢谢。作者: cam-yp 时间: 2009-4-25 08:30
面可以是在当前显示部件,也可以使在子装配的部件中作者: tangxu12 时间: 2009-4-25 09:20
NXOpen::Face 类里面有GetEdges()函数可以得到作者: skyphantom 时间: 2009-4-26 06:46
感谢cam-yp 和tangxu12两位 高手指导。